Bug 1019131 (CVE-2013-5804) - CVE-2013-5804 OpenJDK: javac does not ignore certain ignorable characters (Javadoc, 8016653)
Summary: CVE-2013-5804 OpenJDK: javac does not ignore certain ignorable characters (Ja...
Status: CLOSED ERRATA
Alias: CVE-2013-5804
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20131015,repor...
Keywords: Security
Depends On:
Blocks: 1017632
TreeView+ depends on / blocked
 
Reported: 2013-10-15 08:17 UTC by Stefan Cornelius
Modified: 2019-06-08 19:45 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-12-08 22:36:28 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1440 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2013-11-13 16:11:19 UTC
Red Hat Product Errata RHSA-2013:1447 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2013-10-21 21:42:45 UTC
Red Hat Product Errata RHSA-2013:1451 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2013-10-22 21:17:48 UTC
Red Hat Product Errata RHSA-2013:1505 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2013-11-05 23:03:16 UTC
Red Hat Product Errata RHSA-2013:1507 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2013-11-07 21:55:25 UTC
Red Hat Product Errata RHSA-2013:1508 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2013-11-07 21:54:46 UTC
Red Hat Product Errata RHSA-2013:1509 normal SHIPPED_LIVE Important: java-1.5.0-ibm security update 2013-11-07 21:54:34 UTC
Red Hat Product Errata RHSA-2013:1793 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2013-12-05 22:38:10 UTC
Red Hat Product Errata RHSA-2014:0414 normal SHIPPED_LIVE Important: java-1.6.0-sun security update 2017-12-15 19:38:49 UTC

Description Stefan Cornelius 2013-10-15 08:17:58 UTC
It was discovered that javac did not properly ignore certain ignorable characters. An attacker could influence the integrity and confidentiality of a system by providing specially crafted input, which is then used by javadoc to generate API documentation.

Upstream reports that this issue is relevant to uses where javadoc is used to generate documentation for an untrusted source code and have it hosted on a domain not controlled by the author of the source code (the attacker).

Comment 1 Tomas Hoger 2013-10-15 19:56:15 UTC
(In reply to Stefan Cornelius from comment #0)
> Upstream reports that this issue is relevant to uses where javadoc is used
> to generate documentation for an untrusted source code and have it hosted on
> a domain not controlled by the author of the source code (the attacker).

As noted for the other javadoc issue (bug 1018720), the exact use case upstream is trying to address is unclear.  Javadoc code comments are expected to contain HTML tags and text of such comments is added to generated documentation without filtering.  Hence hosting javadoc documentation generated for untrusted java sources allows source code author to inject arbitrary script and hence perform XSS attacks.

Comment 2 Stefan Cornelius 2013-10-16 06:34:37 UTC
External References:

http://www.oracle.com/technetwork/topics/security/cpuoct2013-1899837.html

Comment 3 Tomas Hoger 2013-10-16 10:57:21 UTC
Fixed in Oracle Java SE 7u45 and 6u65.

OpenJDK upstream commit:

http://hg.openjdk.java.net/jdk7u/jdk7u/langtools/rev/61d5b73ae0ac

Comment 4 errata-xmlrpc 2013-10-17 17:42:02 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2013:1440 https://rhn.redhat.com/errata/RHSA-2013-1440.html

Comment 5 errata-xmlrpc 2013-10-21 17:47:28 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1447 https://rhn.redhat.com/errata/RHSA-2013-1447.html

Comment 6 errata-xmlrpc 2013-10-22 17:23:41 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1451 https://rhn.redhat.com/errata/RHSA-2013-1451.html

Comment 7 errata-xmlrpc 2013-11-05 18:07:39 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:1505 https://rhn.redhat.com/errata/RHSA-2013-1505.html

Comment 8 errata-xmlrpc 2013-11-07 16:59:09 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2013:1509 https://rhn.redhat.com/errata/RHSA-2013-1509.html

Comment 9 errata-xmlrpc 2013-11-07 17:05:48 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:1508 https://rhn.redhat.com/errata/RHSA-2013-1508.html

Comment 10 errata-xmlrpc 2013-11-07 17:12:38 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:1507 https://rhn.redhat.com/errata/RHSA-2013-1507.html

Comment 11 errata-xmlrpc 2013-12-05 17:43:35 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4
  Red Hat Network Satellite Server v 5.5
  Red Hat Satellite Server v 5.6

Via RHSA-2013:1793 https://rhn.redhat.com/errata/RHSA-2013-1793.html

Comment 13 errata-xmlrpc 2014-04-17 11:37:55 UTC
This issue has been addressed in following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2014:0414 https://rhn.redhat.com/errata/RHSA-2014-0414.html


Note You need to log in before you can comment on or make changes to this bug.